<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<script src="/activereportsjs/demos/arjs/dist/ar-js-core.js"></script>
<script src="/activereportsjs/demos/arjs/dist/ar-js-designer.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="/activereportsjs/demos/arjs/styles/ar-js-designer.css"
/>
<style>
#designer-host {
width: 100%;
height: 500px;
}
</style>
</head>
<body>
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
type="button"
class="btn btn-primary btn-sm col-sm-2 ml-1"
onclick="onLoadBlank(false)"
>
Load Blank Report
</button>
</div>
</div>
<div id="designer-host"></div>
<script>
var CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
var FPLReport = {
Name: "Report",
Page: {
PageWidth: "8.5in",
PageHeight: "11in",
},
FixedPage: { Pages: [{}] },
};
var resolveFunc = null;
var designer = null;
GC.ActiveReports.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
designer = new GC.ActiveReports.ReportDesigner.Designer("#designer-host");
designer.setActionHandlers({
onCreate: function () {
return Promise.resolve({
id: "reports/company-template.rdlx-json",
});
},
onOpen: function () {
const ret = new Promise(function (resolve) {
resolveFunc = resolve;
$("#dlgOpen").modal("show");
});
return ret;
},
});
designer.setReport({ id: "reports/company-template.rdlx-json" });
function onLoadBlank(fpl) {
designer.setReport({
definition: fpl
? FPLReport
: CPLReport,
});
}
function onSelectReport(report) {
if (resolveFunc) {
$("#dlgOpen").modal("hide");
resolveFunc({ id: report });
resolveFunc = null;
}
}
</script>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
<div class="modal" id="dlgOpen" tabindex="-1" aria-hidden="true">
<div class="modal-dialog">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button
type="button"
class="close"
data-dismiss="modal"
aria-label="Close"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<h2>Select Report:</h2>
<div class="list-group">
<button
type="button"
class="list-group-item list-group-item-action"
onclick="onSelectReport('reports/CustomersTable.rdlx-json')"
>
Customers Report
</button>
<button
type="button"
class="list-group-item list-group-item-action"
onclick="onSelectReport('reports/TaxiDrives.rdlx-json')"
>
Taxi Drives Report
</button>
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-secondary"
data-dismiss="modal"
>
Close
</button>
</div>
</div>
</div>
</div>
</body>
</html>

<template>
<div>
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
@click="onLoadBlank(false)"
>
Load Blank Report
</button>
</div>
</div>
<div id="designer-host">
<arjs-designer
ref="designer"
:report="{ id: 'reports/company-template.rdlx-json' }"
:onCreate="onCreateReport"
:onOpen="onOpenReport"
>
</arjs-designer>
</div>
</div>
<div
v-if="showModal"
class="modal"
id="dlgOpen"
tabindex="-1"
aria-hidden="true"
>
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button
type="button"
class="close"
aria-label="Close"
@click="hideModal"
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group">
<button
type="button"
class="list-group-item list-group-item-action"
@click="onSelectReport('reports/CustomersTable.rdlx-json')"
>
Customers Report
</button>
<button
type="button"
class="list-group-item list-group-item-action"
@click="onSelectReport('reports/TaxiDrives.rdlx-json')"
>
Taxi Drives Report
</button>
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
@click="hideModal"
>
Close
</button>
</div>
</div>
</div>
</template>
<script>
import { CPLReport, FPLReport } from "./reportTemplates.js";
import { Designer } from "@mescius/activereportsjs-vue";
import Core from "@mescius/activereportsjs/core";
let resolveFunc = null;
export default {
components: {
"arjs-designer": Designer,
},
data: function () {
return {
showModal: false,
};
},
methods: {
onSelectReport(report) {
if (resolveFunc) {
resolveFunc({ id: report });
this.showModal = false;
}
},
onLoadBlank(fpl) {
this.$refs.designer.setReport({
definition: fpl ? FPLReport : CPLReport,
});
},
onCreateReport() {
return Promise.resolve({ id: "reports/company-template.rdlx-json" });
},
onOpenReport() {
return new Promise((resolve) => {
resolveFunc = resolve;
this.showModal = true;
});
},
hideModal() {
this.showModal = false;
if (resolveFunc) {
resolveFunc(null);
resolveFunc = null;
}
},
},
};
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 500px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Loading Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
export var CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
export var FPLReport = {
Name: "Report",
Page: {
PageWidth: "8.5in",
PageHeight: "11in",
},
FixedPage: { Pages: [{}] },
};
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es2022",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"./reportdesigner.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);

import React, { Fragment, useState } from "react";
import ReactDOM from "react-dom";
import { Designer } from "@mescius/activereportsjs-react";
import { FontStore } from "@mescius/activereportsjs/core";
var CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
var FPLReport = {
Name: "Report",
Page: {
PageWidth: "8.5in",
PageHeight: "11in",
},
FixedPage: { Pages: [{}] },
};
function App() {
const designer = React.useRef();
const [modalOpen, setModalOpen] = useState(false);
const [selectedReport, setSelectedReport] = useState(null);
const [reportPromise, setReportPromise] = useState(null);
function onLoadBlank(fpl) {
designer.current.setReport({
definition: fpl ? FPLReport : CPLReport,
});
}
function onSelectReport(report) {
setSelectedReport({ id: report });
setModalOpen(false);
}
function onCreateReport() {
return Promise.resolve({ id: "reports/company-template.rdlx-json" });
}
function onCloseDialog() {
setModalOpen(false);
if (reportPromise) {
reportPromise.resolve(null);
setReportPromise(null);
}
}
function onOpenReport() {
setModalOpen(true);
return new Promise((resolve, reject) => {
setReportPromise({ resolve, reject });
});
}
React.useEffect(() => {
if (selectedReport && reportPromise) {
reportPromise.resolve(selectedReport);
setReportPromise(null);
setSelectedReport(null);
}
}, [selectedReport, reportPromise]);
return (
<Fragment>
<div id="designer-toolbar" className="container-fluid">
<div className="row mt-3 mb-3">
<button
type="button"
className="btn btn-outline-primary btn-sm col-sm-2 ml-1"
onClick={() => onLoadBlank(false)}
>
Load Blank Report
</button>
</div>
</div>
<div id="designer-host">
<Designer
ref={designer}
report={{ id: "reports/company-template.rdlx-json" }}
onOpen={onOpenReport}
onCreate={onCreateReport}
/>
</div>
{modalOpen && (
<div className="modal">
<div
className="modal-content"
>
<div class="modal-header">
<h5 className="modal-title">Open Report</h5>
<button
type="button"
class="close"
onClick={()=>onCloseDialog()}
>
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<button
type="button"
className="list-group-item list-group-item-action"
onClick={() =>
onSelectReport("reports/CustomersTable.rdlx-json")
}
>
Customers Report
</button>
<button
type="button"
className="list-group-item list-group-item-action"
onClick={() => onSelectReport("reports/TaxiDrives.rdlx-json")}
>
Taxi Drives Report
</button>
</div>
<div class="modal-footer">
<button type="button" class="btn btn-outline-secondary" onClick={()=>onCloseDialog()} >
Close
</button>
</div>
</div>
</div>
)}
</Fragment>
);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Loading Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="index.css" />
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 500px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n-ja":
"npm:@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"npm:@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

import { Component, ViewChild } from "@angular/core";
import { CPLReport, FPLReport } from "./reportTemplates";
import { DesignerComponent } from "@mescius/activereportsjs-angular";
import { Observable, Subject } from "rxjs";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
})
export class AppComponent {
@ViewChild(DesignerComponent, { static: false })
reportDesigner: DesignerComponent;
openReportSubj = new Subject<string>();
openReportObs = this.openReportSubj as Observable<string>;
designer: any;
initialReport = { id: "reports/company-template.rdlx-json" };
showDialog = false;
onLoadBlank(fpl: boolean) {
this.reportDesigner.setReport({
definition: fpl ? FPLReport : CPLReport,
});
}
onSelectReport(report: string) {
this.openReportSubj.next(report);
}
onCreateReport() {
return Promise.resolve({ id: "reports/company-template.rdlx-json" });
}
onOpenReport = () => {
return new Promise<any>((resolve) => {
const subscription = this.openReportObs.subscribe((report: string) => {
subscription.unsubscribe();
if (report) resolve({ id: report });
else resolve(null);
this.showDialog = false;
});
this.showDialog = true;
});
};
onCloseDialog = () => {
this.openReportSubj.next(null);
};
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 500px;
}
.modal {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgba(0, 0, 0, 0.5);
display: flex;
align-items: center;
justify-content: center;
z-index: 1000;
}
.modal-content {
background: white;
padding: 20px;
border-radius: 4px;
width: 50%;
max-width: 500px;
max-height: 80%;
overflow-y: auto;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
import { ReactiveFormsModule } from "@angular/forms";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ActiveReportsModule, ReactiveFormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
export var CPLReport = {
Name: "Report",
Body: {
Width: "8.5in",
Height: "11in",
},
};
export var FPLReport = {
Name: "Report",
Page: {
PageWidth: "8.5in",
PageHeight: "11in",
},
FixedPage: { Pages: [{}] },
};
<div id="designer-toolbar" class="container-fluid">
<div class="row mt-3 mb-3">
<button
type="button"
class="btn btn-outline-primary btn-sm col-sm-2 ml-1"
(click)="onLoadBlank(false)"
>
Load Blank Report
</button>
</div>
</div>
<div id="designer-host">
<gc-activereports-designer
[report]="initialReport"
[onCreate]="onCreateReport"
[onOpen]="onOpenReport"
>
</gc-activereports-designer>
</div>
<div *ngIf="showDialog" class="modal">
<div class="modal-content">
<div class="modal-header">
<h5 class="modal-title" id="exampleModalLabel">Open Report</h5>
<button type="button" class="close" (click)="onCloseDialog()">
<span aria-hidden="true">×</span>
</button>
</div>
<div class="modal-body">
<strong>Select Report:</strong>
<div class="list-group">
<button
type="button"
class="list-group-item list-group-item-action"
(click)="onSelectReport('reports/CustomersTable.rdlx-json')"
>
Customers Report
</button>
<button
type="button"
class="list-group-item list-group-item-action"
(click)="onSelectReport('reports/TaxiDrives.rdlx-json')"
>
Taxi Drives Report
</button>
</div>
</div>
<div class="modal-footer">
<button
type="button"
class="btn btn-outline-secondary"
(click)="onCloseDialog()"
>
Close
</button>
</div>
</div>
</div>
(function (global) {
System.config({
transpiler: "./plugin-typescript.js",
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: "./node_modules/",
meta: {
typescript: {
exports: "ts",
},
"*.css": { loader: "systemjs-plugin-css" },
},
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@angular/*/package.json",
"./node_modules/@mescius/*/package.json",
],
map: {
'typescript': "typescript/lib/typescript.js",
'rxjs': "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: "ts",
},
rxjs: {
defaultExtension: "js",
// "main": "bundles/rxjs.umd.min.js"
},
node_modules: {
defaultExtension: "js",
},
"@angular/core": {
defaultExtension: "mjs",
main: "fesm2022/core.mjs",
},
"@angular/platform-browser": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser.mjs",
},
"@angular/common": {
defaultExtension: "mjs",
main: "fesm2022/common.mjs",
},
"@angular/compiler": {
defaultExtension: "mjs",
main: "fesm2022/compiler.mjs",
},
"@angular/forms": {
defaultExtension: "mjs",
main: "fesm2022/forms.mjs",
},
"@angular/localize": {
defaultExtension: "mjs",
main: "fesm2022/localize.mjs",
},
"@angular/platform-browser-dynamic": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser-dynamic.mjs",
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
},
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Report Loading Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<link
href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,500;0,600;0,700;1,400&display=swap"
rel="stylesheet"
/>
<link
rel="stylesheet"
href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z"
crossorigin="anonymous"
/>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
<script
src="https://code.jquery.com/jquery-3.5.1.slim.min.js"
integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
crossorigin="anonymous"
></script>
<script
src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
crossorigin="anonymous"
></script>
<script
src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"
integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"
crossorigin="anonymous"
></script>
</body>
</html>